Module Maille
    Public Function AWG2Dec(ByVal intGage As Integer) As Double
        Select Case intGage
            Case 0 : Return 0.3249
            Case 1 : Return 0.2893
            Case 2 : Return 0.2576
            Case 3 : Return 0.2294
            Case 4 : Return 0.2043
            Case 5 : Return 0.1819
            Case 6 : Return 0.162
            Case 7 : Return 0.1443
            Case 8 : Return 0.1285
            Case 9 : Return 0.1144
            Case 10 : Return 0.1019
            Case 11 : Return 0.0907
            Case 12 : Return 0.0808
            Case 13 : Return 0.072
            Case 14 : Return 0.0641
            Case 15 : Return 0.0571
            Case 16 : Return 0.0508
            Case 17 : Return 0.0453
            Case 18 : Return 0.0403
            Case 19 : Return 0.0359
            Case 20 : Return 0.032
            Case 21 : Return 0.0285
            Case 22 : Return 0.0253
            Case 23 : Return 0.0226
            Case 24 : Return 0.0201
            Case 25 : Return 0.0179
            Case 26 : Return 0.0159
            Case 27 : Return 0.0142
            Case 28 : Return 0.0126
            Case 29 : Return 0.0113
            Case 30 : Return 0.01
            Case 31 : Return 0.0089
            Case 32 : Return 0.008
            Case 33 : Return 0.0071
            Case 34 : Return 0.0063
            Case 35 : Return 0.0056
            Case 36 : Return 0.005
            Case 37 : Return 0.0045
            Case 38 : Return 0.004
            Case 39 : Return 0.0035
            Case 40 : Return 0.0031
            Case 41 : Return 0.0028
            Case 42 : Return 0.0025
            Case 43 : Return 0.0022
            Case 44 : Return 0.00198
            Case 45 : Return 0.00176
            Case 46 : Return 0.00157
            Case 47 : Return 0.0014
            Case 48 : Return 0.00124
            Case 49 : Return 0.001108
            Case 50 : Return 0.00099
            Case Else : Return 0
        End Select
    End Function
    Public Function SWG2Dec(ByVal intGage As Integer) As Double
        Select Case intGage
            Case 0 : Return 0.324
            Case 1 : Return 0.3
            Case 2 : Return 0.276
            Case 3 : Return 0.252
            Case 4 : Return 0.232
            Case 5 : Return 0.212
            Case 6 : Return 0.192
            Case 7 : Return 0.176
            Case 8 : Return 0.16
            Case 9 : Return 0.144
            Case 10 : Return 0.128
            Case 11 : Return 0.116
            Case 12 : Return 0.104
            Case 13 : Return 0.092
            Case 14 : Return 0.08
            Case 15 : Return 0.072
            Case 16 : Return 0.064
            Case 17 : Return 0.056
            Case 18 : Return 0.048
            Case 19 : Return 0.04
            Case 20 : Return 0.036
            Case 21 : Return 0.032
            Case 22 : Return 0.028
            Case 23 : Return 0.024
            Case 24 : Return 0.022
            Case 25 : Return 0.02
            Case 26 : Return 0.018
            Case 27 : Return 0.0164
            Case 28 : Return 0.0149
            Case 29 : Return 0.0136
            Case 30 : Return 0.0124
            Case 31 : Return 0.0116
            Case 32 : Return 0.0108
            Case 33 : Return 0.01
            Case 34 : Return 0.0092
            Case 35 : Return 0.0084
            Case 36 : Return 0.0076
            Case 37 : Return 0.0068
            Case 38 : Return 0.006
            Case 39 : Return 0.0052
            Case 40 : Return 0.0048
            Case 41 : Return 0.0044
            Case 42 : Return 0.004
            Case 43 : Return 0.0036
            Case 44 : Return 0.0032
            Case 45 : Return 0.0028
            Case 46 : Return 0.0024
            Case 47 : Return 0.002
            Case 48 : Return 0.0016
            Case 49 : Return 0.0012
            Case 50 : Return 0.001
            Case Else : Return 0
        End Select
    End Function
    Public Function NWWiph(ByVal AR As Double) As Double
        ' Old polynomial fits to empirical measurements
        'Return -0.0646 * AR ^ 2 + 2.1812 * AR - 3.5884
        'Return 1.6112 * AR - 2.2682

        ' Equation obtained from Excel's polynomial fit to 
        ' data from E4-1Calc program (VB.NET)
        Return 1.68284 * AR - 2.501
    End Function
    Public Function NWWipv(ByVal AR As Double) As Double
        Return 1.0 + AR / 2.0
        'Return -0.0446 * AR ^ 2 + 1.0467 * AR - 0.3071
    End Function
    Public Function NRWiph(ByVal AR As Double) As Double
        'Return -0.1145 * AR ^ 2 + 1.265 * AR - 0.3469
        Return 0.201 * AR + 2.1486
    End Function
    Public Function NRWipv(ByVal AR As Double) As Double
        'Return -0.0695 * AR ^ 2 + 1.6276 * AR - 1.8362
        Return -0.0498 * AR ^ 2 + 1.5783 * AR - 1.9487
    End Function
    Public Function NHSiph(ByVal AR As Double) As Double
        Return (NRWiph(AR) + NWWiph(AR)) / 2.0
    End Function
    Public Function NHSipv(ByVal AR As Double) As Double
        Return (NRWipv(AR) + NWWipv(AR)) / 2.0
    End Function
End Module
